#
# spec file for package pound (Version 2.4.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           pound
License:        GPL v3 or later; Other uncritical OpenSource License; X11/MIT
Group:          Productivity/Networking/Web/Proxy
Summary:        Reverse-Proxy and Load-Balancer
Url:            http://www.apsis.ch/pound/
Version:        2.4.3
Release:        8.1
Source0:        Pound-%version.tar.bz2
Source1:        pound.cfg
Source2:        init.pound
Patch1:         pound.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
PreReq:         pwdutils
%endif 
BuildRequires:  openssl make gcc glibc-devel
%if 0%{suse_version} >= 1030
BuildRequires:  libopenssl-devel
%else
BuildRequires:  openssl-devel
%endif




# insserv_prereq

%description
The Pound program is a reverse proxy, load balancer and HTTPS front-end
for Web server(s). Pound was developed to enable distributing the load
among several Web-servers and to allow for a convenient SSL wrapper for
those Web servers that do not offer it natively.



Authors:
--------
    Robert Segall <roseg@apsis.ch>

%package doc
Summary:        Doumentation for pound
Group:          Documentation/Other

%description doc
The Pound program is a reverse proxy, load balancer and HTTPS front-end
for Web server(s). Pound was developed to enable distributing the load
among several Web-servers and to allow for a convenient SSL wrapper for
those Web servers that do not offer it natively.

This package contains the documentation for pound.



Authors:
--------
    Robert Segall <roseg@apsis.ch>

%prep
%setup -q -n Pound-%version
%patch1

%__sed -i 's|@@LIB@@|%{_lib}|g' configure

%build
%configure --with-maxbuf=8192
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
# Install pound init script
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 0744 %SOURCE2 $RPM_BUILD_ROOT/etc/init.d/pound
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/etc/pound.cfg
ln -sf ../../etc/init.d/pound $RPM_BUILD_ROOT/usr/sbin/rcpound
mkdir -p %buildroot%_defaultdocdir/%name/examples
install -m644 README FAQ %buildroot%_defaultdocdir/%name/
install -m755 z2_2_5_1.py z2_2_6_1.py %buildroot%_defaultdocdir/%name/examples/ 

%clean
rm -rf ${RPM_BUILD_ROOT}

%pre
# Add the "pound" user and group
%{_sbindir}/groupadd -r pound 2> /dev/null || :
%{_sbindir}/useradd -c "Pound" -g pound -r -d /var/lib/pound pound 2> /dev/null || :

%post
%{fillup_and_insserv -f -n pound pound}

%postun
%restart_on_update pound
%insserv_cleanup

%preun
%stop_on_removal pound

%files
%defattr(-,root,root)
/etc/init.d/pound
%attr(555, root, root) /usr/sbin/pound
%attr(555, root, root) /usr/sbin/poundctl
/usr/sbin/rcpound
%_mandir/man8/pound.8.gz
%_mandir/man8/poundctl.8.gz
%config(noreplace) /etc/pound.cfg

%files doc
%defattr(-,root,root) 
%doc %_defaultdocdir/%name

%changelog
* Sat Apr 20 2008 jg@internetx.de
- bumped to 2.4.1
- increased buffer setting to 8192 (default 1024)
* Wed Mar 13 2008 jg@internetx.de
- su103 builddeps 
- configure & make routine changed
* Wed Feb 13 2008 joe@suse.de
- update to version 2.4
  - new PARM session type
  - full IPv6 support
  - pountctl can show status as an XML file
  - shutdown grace period (Pound accepts requests for
  existing sessions for some time instead of doing a
  hard shutdown)
* Fri Nov 09 2007 lrupp@suse.de
- split of doc package
* Fri Nov 09 2007 crrodriguez@suse.de
- update to version 2.3.2
- add missing PreREq fixes build in BETA
- add missing init script short-description and remote_fs depss
* Thu Jun 21 2007 adrian@suse.de
- fix changelog entry order
* Mon Apr 30 2007 joe@suse.de
- update to version 2.3
  - dynamic scaling
  - various bugs fixed
- now using user/group "pound"
* Tue Feb 06 2007 joe@suse.de
- update to version 2.2.3
- new configuration file syntax
- added a new example configuration file
- added configtest option to init script
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jun 03 2005 joe@suse.de
- upgraded to version 1.9
- 1.9 contains the fix for CAN-2005-1391
* Sat Feb 12 2005 joe@suse.de
- upgraded to bugfix version 1.8.1
* Thu Sep 30 2004 joe@suse.de
- slightly more useful default configuration file that works out of
  the box
* Fri Sep 10 2004 joe@suse.de
- latest current snapshot
* Mon Apr 26 2004 joe@suse.de
- initial version of current Pound snapshot
* Fri Jan 23 2004 joe@suse.de
- upgraded to stable version 1.8
